package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaCommunicationBreak;
import com.lightinit.hsdatashow.entity.AreaCommunicationBreakExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface AreaCommunicationBreakMapper {
    long countByExample(AreaCommunicationBreakExample example);

    int deleteByExample(AreaCommunicationBreakExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaCommunicationBreak record);

    int insertSelective(AreaCommunicationBreak record);

    List<AreaCommunicationBreak> selectByExample(AreaCommunicationBreakExample example);

    AreaCommunicationBreak selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaCommunicationBreak record, @Param("example") AreaCommunicationBreakExample example);

    int updateByExample(@Param("record") AreaCommunicationBreak record, @Param("example") AreaCommunicationBreakExample example);

    int updateByPrimaryKeySelective(AreaCommunicationBreak record);

    int updateByPrimaryKey(AreaCommunicationBreak record);

    List<ChartModel> getAreaCommBreak();
}